## bibletime 2.0

=== CMakeLists.txt ===
PROJECT(bibletime CXX C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.0)

#Version
ADD_DEFINITIONS(-DBT_VERSION=\\\"2.0\\\")

#Non-English locales to be processed and installed for UI, handbook and howto
LIST(APPEND MESSAGE_LOCALE_LANGS af bg cs da de en_GB es et fi fr hu it ko nl nn_NO no pl pt_br ro ru sk sv ua vi zh_CN zh_TW)
#WARNING: If you modify HANDBOOK_LOCALE_LANGS or HOWTO_LOCALE_LANGS,
#also modify the po4a conf files in cmake/docs/ to make sure all languages are processed.
LIST(APPEND HANDBOOK_LOCALE_LANGS cs de fi fr hu nl)
LIST(APPEND HOWTO_LOCALE_LANGS bg cs de fi fr it hu ko nl pt-br ru)

######################################################
# Find required packages
#
SET(QT_MIN_VERSION 4.4.0)
SET(QT_USE_QTXML 1)
SET(QT_USE_QTWEBKIT 1)
FIND_PACKAGE(Qt4 REQUIRED)
IF (QT_QTDBUS_FOUND AND NOT APPLE)
	SET(QT_USE_QTDBUS 1)
	MESSAGE("Using DBUS")
ELSE (QT_QTDBUS_FOUND AND NOT APPLE)
	ADD_DEFINITIONS(-DNO_DBUS)
	MESSAGE("No DBUS found")
ENDIF(QT_QTDBUS_FOUND AND NOT APPLE)
#
# If cmake says that qdbusxml2cpp is missing, uncomment the following line
#
#SET(QT_DBUSXML2CPP_EXECUTABLE "/usr/bin/qdbusxml2cpp") #TEMP HACK?

FIND_PACKAGE(Boost REQUIRED)
#
#custom includes
#
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
FIND_PACKAGE(CLucene REQUIRED)

# optional: Try to detect CURL and add it to the linker flags if found, maybe Sword needs it
FIND_PACKAGE(CURL)
# optional: Try to detect ICU and add it to the linker flags if found, maybe Sword needs it
FIND_PACKAGE(ICU)
# optional: Try to detect ZLib and add it to the linker flags if found, maybe Sword needs it
FIND_PACKAGE(ZLIB)

FIND_PACKAGE(Sword REQUIRED)
######################################################


######################################################
# Define $bibletime_SOURCES
#
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/bibletime_source_list.cmake")
#
# Generate config.h
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/config.h.cmake" "${CMAKE_CURRENT_BINARY_DIR}/config.h")
######################################################


######################################################
# The actual build options
#
INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_BINARY_DIR}		#for .h files generated from .ui
	${CMAKE_CURRENT_SOURCE_DIR}/src	# so that include paths like "frontend/..." work
	${CLUCENE_INCLUDE_DIR}			#CLucene headers
	${CLUCENE_LIBRARY_DIR}			#CLucene/clucene-config.h
	${Boost_INCLUDE_DIRS}
	${SWORD_INCLUDE_DIR}
)


# this will run uic on .ui files:
QT4_WRAP_UI(bibletime_UIS_H ${bibletime_UIS})

#
#This must come before the target definition!
LINK_DIRECTORIES(
	${CLUCENE_LIBRARY_DIR}
	${SWORD_LIBRARY_DIR}
)

IF(APPLE)
	SET(EXECUTABLE_NAME "BibleTime")
ELSE(APPLE)
	SET(EXECUTABLE_NAME "bibletime")
ENDIF(APPLE)

#Link to QtTest only in debug builds
IF (CMAKE_BUILD_TYPE STREQUAL "Release")
	# this will run moc on source files
	QT4_WRAP_CPP(bibletime_MOC_SOURCES ${bibletime_MOCABLE_HEADERS})
	ADD_EXECUTABLE(${EXECUTABLE_NAME} ${bibletime_SOURCES} ${bibletime_UIS_H} ${bibletime_MOC_SOURCES})
	SET_TARGET_PROPERTIES(${EXECUTABLE_NAME}
		PROPERTIES
			COMPILE_FLAGS "${SWORD_CFLAGS}" #Enable exception handling
	)
	INCLUDE(${QT_USE_FILE})
	TARGET_LINK_LIBRARIES(${EXECUTABLE_NAME}
		${QT_LIBRARIES}
		${CLUCENE_LIBRARY}
		${CURL_LIBRARIES} # optional, empty if not found
		${ICU_LIBRARIES} # optional, empty if not found
		${ICU_I18N_LIBRARIES} # optional, empty if not found
		${ZLIB_LIBRARIES} # optional, empty if not found
		${SWORD_LIBRARY}
	)
ELSE (CMAKE_BUILD_TYPE STREQUAL "Release")
	# this will run moc on source files
	QT4_WRAP_CPP(bibletime_MOC_SOURCES ${bibletime_MOCABLE_HEADERS})
	QT4_WRAP_CPP(bibletime_test_MOC_SOURCES ${bibletime_test_MOCABLE_HEADERS})
	SET(CMAKE_BUILD_TYPE "Debug")
	ADD_EXECUTABLE(${EXECUTABLE_NAME} ${bibletime_SOURCES}
                             ${bibletime_test_SOURCES} ${bibletime_UIS_H} ${bibletime_MOC_SOURCES} ${bibletime_test_MOC_SOURCES})
	SET_TARGET_PROPERTIES(${EXECUTABLE_NAME}
		PROPERTIES
			COMPILE_FLAGS "-DBT_ENABLE_TESTING ${SWORD_CFLAGS}" #Enable exception handling and Testing
	)
	SET(QT_USE_QTTEST 1)
	INCLUDE(${QT_USE_FILE})
	TARGET_LINK_LIBRARIES(${EXECUTABLE_NAME}
		${QT_LIBRARIES}
		${QT_LIBRARIES_DEBUG}
		${CLUCENE_LIBRARY}
		${CURL_LIBRARIES} # optional, empty if not found
		${ICU_LIBRARIES} # optional, empty if not found
		${ICU_I18N_LIBRARIES} # optional, empty if not found
		${SWORD_LIBRARY}
	)
	# Unit Tests
	ADD_CUSTOM_TARGET(test
		COMMAND ./${EXECUTABLE_NAME} --run-tests
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
		COMMENT "Running BibleTime Unit Tests"
	)
ENDIF (CMAKE_BUILD_TYPE STREQUAL "Release")

IF(USE_QT_WEB_KIT)
	SET_SOURCE_FILES_PROPERTIES( ${bibletime_SOURCES} COMPILE_FLAGS -DUSE_QTWEBKIT )
ENDIF(USE_QT_WEB_KIT)


######################################################

IF (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
	SET(CMAKE_INSTALL_PREFIX "install/") #install to ./build/install, allow override
ENDIF (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

IF (MSVC)
	SET(CMAKE_CXX_FLAGS_RELEASE "${SWORD_CFLAGS} -DNO_DBUS -DSWUSINGDLL -DBT_VERSION=\\\"${BT_VERSION}\\\" /MD  /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE ")
	SET(CMAKE_CXX_FLAGS_DEBUG   "${SWORD_CFLAGS} -DNO_DBUS -DSWUSINGDLL -DBT_VERSION=\\\"${BT_VERSION}\\\" /MDd /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE -DBT_ENABLE_TESTING /ZI")
ELSE (MSVC)
	SET(CMAKE_CXX_FLAGS_RELEASE "-W -O2 -fexceptions ${SWORD_CFLAGS} ")
	SET(CMAKE_CXX_FLAGS_DEBUG   "-Wall -O0 -g -fexceptions ${SWORD_CFLAGS} -DBT_ENABLE_TESTING")
ENDIF (MSVC)


######################################################
# Install files
#
SET (BT_DESTINATION "bin/")
SET (BT_SHARE_PATH "")

INSTALL(TARGETS "${EXECUTABLE_NAME}"
	DESTINATION "${BT_DESTINATION}"
)

# compiled catalogs
FOREACH(MESSAGE_LOCALE_LANG ${MESSAGE_LOCALE_LANGS})
	INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/i18n/messages/bibletime_ui_${MESSAGE_LOCALE_LANG}.qm"
		DESTINATION "${BT_SHARE_PATH}share/bibletime/locale/"
	)
ENDFOREACH(MESSAGE_LOCALE_LANG ${MESSAGE_LOCALE_LANGS})
# icons
FILE(GLOB INSTALL_ICONS_LIST "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/*.svg")
INSTALL(FILES ${INSTALL_ICONS_LIST}
	DESTINATION "${BT_SHARE_PATH}share/bibletime/icons/"
)
# icons - png, needed for About Dialog
FILE(GLOB INSTALL_ICONS_LIST_PNG "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.png")
INSTALL(FILES ${INSTALL_ICONS_LIST_PNG}
	DESTINATION "${BT_SHARE_PATH}share/bibletime/icons/"
)
# display templates
FILE(GLOB INSTALL_DISPLAY_TEMPLATES_LIST ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/*.tmpl)
INSTALL(FILES ${INSTALL_DISPLAY_TEMPLATES_LIST}
	DESTINATION "${BT_SHARE_PATH}share/bibletime/display-templates/"
)
# javascript
INSTALL(FILES "src/frontend/display/bthtml.js"
	DESTINATION "${BT_SHARE_PATH}share/bibletime/javascript/"
)
# license.html
INSTALL(FILES "docs/license.html"
	DESTINATION "${BT_SHARE_PATH}share/bibletime/license/"
)
# splash screen
INSTALL(FILES "pics/startuplogo.png"
	DESTINATION "${BT_SHARE_PATH}share/bibletime/pics/"
)
#handbook (install images from en/ to all languages)
FILE(GLOB INSTALL_HANDBOOK_IMAGES "${CMAKE_CURRENT_SOURCE_DIR}/docs/handbook/en/html/*.png")
FOREACH(HANDBOOK_LOCALE_LANG ${HANDBOOK_LOCALE_LANGS} "en")
	FILE(GLOB INSTALL_HANDBOOK_HTML_FILES_${HANDBOOK_LOCALE_LANG} "${CMAKE_CURRENT_SOURCE_DIR}/docs/handbook/${HANDBOOK_LOCALE_LANG}/html/*.html")
	INSTALL(FILES ${INSTALL_HANDBOOK_HTML_FILES_${HANDBOOK_LOCALE_LANG}}
		DESTINATION "${BT_SHARE_PATH}share/bibletime/docs/handbook/${HANDBOOK_LOCALE_LANG}/"
	)
	INSTALL(FILES ${INSTALL_HANDBOOK_IMAGES}
		DESTINATION "${BT_SHARE_PATH}share/bibletime/docs/handbook/${HANDBOOK_LOCALE_LANG}/"
	)
ENDFOREACH(HANDBOOK_LOCALE_LANG ${HANDBOOK_LOCALE_LANGS} "en")
#howto (does not have images)
FOREACH(HOWTO_LOCALE_LANG ${HOWTO_LOCALE_LANGS} "en")
	FILE(GLOB INSTALL_HOWTO_HTML_FILES_${HOWTO_LOCALE_LANG} "${CMAKE_CURRENT_SOURCE_DIR}/docs/howto/${HOWTO_LOCALE_LANG}/html/*.html")
	INSTALL(FILES ${INSTALL_HOWTO_HTML_FILES_${HOWTO_LOCALE_LANG}}
		DESTINATION "${BT_SHARE_PATH}share/bibletime/docs/howto/${HOWTO_LOCALE_LANG}/"
	)
ENDFOREACH(HOWTO_LOCALE_LANG ${HOWTO_LOCALE_LANGS} "en")
#
# Platform specific installation
#
# LINUX: application icon
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.svg"
	DESTINATION "${BT_SHARE_PATH}share/icons/"
)
# LINUX: desktop file
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/linux/bibletime.desktop.cmake" "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop")
INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop"
	DESTINATION "${BT_SHARE_PATH}share/applications/"
)
######################################################


######################################################
# Update source catalog files (this is the basis for the translator's work)
# Invoke this with "make messages"
#
ADD_CUSTOM_TARGET("messages")
FOREACH(MESSAGE_LOCALE_LANG ${MESSAGE_LOCALE_LANGS})
	ADD_CUSTOM_TARGET("messages_${MESSAGE_LOCALE_LANG}"
		COMMAND lupdate "${CMAKE_CURRENT_SOURCE_DIR}/src" -ts "${CMAKE_CURRENT_SOURCE_DIR}/i18n/messages/bibletime_ui_${MESSAGE_LOCALE_LANG}.ts")
	ADD_CUSTOM_TARGET("compile_messages_${MESSAGE_LOCALE_LANG}"
		COMMAND lrelease "bibletime_ui_${MESSAGE_LOCALE_LANG}.ts" -qm "bibletime_ui_${MESSAGE_LOCALE_LANG}.qm"
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/i18n/messages/")
	ADD_DEPENDENCIES("compile_messages_${MESSAGE_LOCALE_LANG}" "messages_${MESSAGE_LOCALE_LANG}")
	ADD_DEPENDENCIES("messages" "compile_messages_${MESSAGE_LOCALE_LANG}")
ENDFOREACH(MESSAGE_LOCALE_LANG)
# Template file for translators
ADD_CUSTOM_TARGET("messages_default"
	COMMAND lupdate "${CMAKE_CURRENT_SOURCE_DIR}/src" -ts "${CMAKE_CURRENT_SOURCE_DIR}/i18n/messages/bibletime_ui.ts")
ADD_DEPENDENCIES(messages "messages_default")
######################################################

######################################################
# Update handbook
ADD_CUSTOM_TARGET("handbook")

ADD_CUSTOM_TARGET("handbook_translations"
	COMMAND po4a -v --no-backups -k 0 cmake/docs/handbook_po4a.conf
	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")

FOREACH(HANDBOOK_LOCALE_LANG ${HANDBOOK_LOCALE_LANGS} "en")
	ADD_CUSTOM_TARGET("handbook_${HANDBOOK_LOCALE_LANG}"
		COMMAND xsltproc --stringparam l10n.gentext.default.language ${HANDBOOK_LOCALE_LANG} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/docs/docs.xsl ../docbook/index.docbook
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/docs/handbook/${HANDBOOK_LOCALE_LANG}/html/")
	ADD_DEPENDENCIES("handbook_${HANDBOOK_LOCALE_LANG}" "handbook_translations")
	ADD_DEPENDENCIES("handbook" "handbook_${HANDBOOK_LOCALE_LANG}")
ENDFOREACH(HANDBOOK_LOCALE_LANG ${HANDBOOK_LOCALE_LANGS})
######################################################

######################################################
# Update howto
ADD_CUSTOM_TARGET("howto")
ADD_CUSTOM_TARGET("howto_translations"
	COMMAND po4a -v --no-backups -k 0 cmake/docs/howto_po4a.conf
	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
ADD_DEPENDENCIES("howto" "howto_translations")

FOREACH(HOWTO_LOCALE_LANG ${HOWTO_LOCALE_LANGS} "en")
	ADD_CUSTOM_TARGET("howto_${HOWTO_LOCALE_LANG}"
		COMMAND xsltproc "${CMAKE_CURRENT_SOURCE_DIR}/cmake/docs/docs.xsl" "../docbook/index.docbook"
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/docs/howto/${HOWTO_LOCALE_LANG}/html/")
	ADD_DEPENDENCIES("howto_${HOWTO_LOCALE_LANG}" "howto_translations")
	ADD_DEPENDENCIES("howto" "howto_${HOWTO_LOCALE_LANG}")
ENDFOREACH(HOWTO_LOCALE_LANG ${HOWTO_LOCALE_LANGS})

######################################################

######################################################
# "make uninstall" target; see http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
#
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY
 )
ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
######################################################


######################################################

## bibletime 1.1-4

=== debian/changelog ===
bibletime (1.1-4) unstable; urgency=high

  * build depend on sword 1.5.3-3

 -- Daniel Glassey <wdg@debian.org>  Thu, 18 Apr 2002 09:35:13 +0100

bibletime (1.1-3) unstable; urgency=low

  * fixes to compile with gcc3, Closes: #143212
  * fixes to get rid of some compiler warnings too
  
 -- Daniel Glassey <wdg@debian.org>  Wed, 17 Apr 2002 23:48:16 +0100

bibletime (1.1-2) unstable; urgency=high

  * integrate docs into this package since there isn't time to
     get a new package in
  * fonts seem ok in optionsdialog now, Closes: #139703
  * verses wrap ok now, tested WEB 1Tim5:18, Closes: #140108

 -- Daniel Glassey <wdg@debian.org>  Mon, 15 Apr 2002 09:20:13 +0100

bibletime (1.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Mon,  8 Apr 2002 20:36:07 +0100

bibletime (1.0.99b-2) unstable; urgency=low

  * Depend on bibletime-doc, required documentation

 -- Daniel Glassey <wdg@debian.org>  Sat,  6 Apr 2002 18:45:50 +0100

bibletime (1.0.99b-1) unstable; urgency=low

  * New upstream beta release

 -- Daniel Glassey <wdg@debian.org>  Tue,  2 Apr 2002 21:33:55 +0100

bibletime (1.0.3-1) unstable; urgency=low

  * New upstream release
  * build against autotooled sword
  * correct spelling error, Closes: #124449
  * not uploading til sword 1.5.2-8 is in
  * bulid depend on sword >=1.5.2-9

 -- Daniel Glassey <wdg@debian.org>  Fri,  1 Feb 2002 23:01:55 +0000

bibletime (1.0.2-2) unstable; urgency=low

  * Remove debian/controly which shouldn't be there 
  * stop configure from being run twice to fix alpha build, Closes: #121674
  * build-depend on kdelibs-dev >= 2.2.2-8 to catch libfam-dev dependency, see bug 124264
  * Update description for bibletime 1.0.2
  * Update to policy version 3.5.6.0, no necessary changes noticed yet
  * modify clean target in debian/rules to use clean instead of distclean
      and remove */Makefile and */*.moc.cpp 

 -- Daniel Glassey <wdg@debian.org>  Sat, 15 Dec 2001 21:40:18 +0000

bibletime (1.0.2-1) unstable; urgency=low

  * New upstream release - see www.bibletime.de for changes
  * Using latest config.sub and config.guess, Closes #105779
  * may compile on ia64 now (cswordbackendmanager.* does not exist now), Closes #110187
  * Change maintainer to wdg@debian.org
  * Depend on sword >= 1.5.2-4 (new libsword1 shlibs)
  * use AM_MAINTAINER_MODE in configure.in - try to stop automake etc
      from running while building
      so don't build depend on automake, autoconf
  * fixes for alpha compilation in debian/rules, Closes: #121674
  * .xvpics has been removed from source, Closes: #112706
  * in debian/rules use dh_compress -X to stop tipsdatabase from being installed compressed, Closes #110847

 -- Daniel Glassey <wdg@debian.org>  Fri, 30 Nov 2001 19:41:44 +0000

bibletime (1.0.1-1) unstable; urgency=low

  * New upstream release - see www.bibletime.de for changes
  * patched bibletime/pics/Makefile.am to allow install to $DESTDIR
  * removed AUTHORS from debian/docs

 -- Daniel Glassey <wdg@debian.org>  Sat, 25 Aug 2001 13:47:36 +0000

bibletime (1.0-1) unstable; urgency=low

  * New upstream release - see www.bibletime.de for changes

 -- Daniel Glassey <wdg@debian.org>  Mon, 25 Jun 2001 22:22:30 +0000

bibletime (0.31-3.1) unstable; urgency=low

  * Non-maintainer upload (Ben Burton <benb@acm.org>).
  * Rebuilt with new Qt libs (closes: #89789).
  * Build-Depends: Replaced kdebase-dev with kdelibs-dev; removed
    autoconf (redundant); added libtool.
  * Replaced admin/debianrules with a newer version and modified
    debian/rules to use admin/debianrules; this way everything gets
    installed into the correct directory; this also required modifying
    $(localedir) in po/Makefile.am.
  * Added debian menu item, lintian overrides file and doc-base registration.
  * In debian/rules, using configure-stamp instead of configure.stamp
    (this stops ./configure being run again and again and again).
  * In debian/rules, deletes Makefile.ins on "make clean" and recreates
    them during "make configure"; this removes some unnecessary junk
    from the debian diff.gz file.

 -- Ben Burton <benb@acm.org>  Thu, 17 May 2001 13:02:11 -0500

bibletime (0.31-3) unstable; urgency=low

  * Standards version now 3.2.1
  * Added build-depends

 -- Daniel Glassey <danglassey@yahoo.com>  Mon, 22 Jan 2001 22:19:43 +0000

bibletime (0.31-2) unstable; urgency=low

  * Add dependencies on modules.

 -- Daniel Glassey <danglassey@yahoo.com>  Mon,  4 Dec 2000 22:34:34 +0000

bibletime (0.31-1) unstable; urgency=low

  * Initial Release.

 -- Daniel Glassey <danglassey@yahoo.com>  Thu, 23 Nov 2000 20:57:31 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: bibletime
Section: x11
Build-Depends: debhelper, kdelibs-dev (>= 2.2.2-8), libsword-dev (>=1.5.3-3)
Priority: optional
Maintainer: Daniel Glassey <wdg@debian.org>
Standards-Version: 3.5.6.0

Package: bibletime
Architecture: any
Section: x11
Depends: ${shlibs:Depends}
Recommends: sword-text, sword-dict, sword-comm
Provides: sword-frontend
Conflicts: bibletime-doc
Description: A bible study tool for KDE
 BibleTime 1.1 is a free and easy to use bible study tool for UNIX systems. 
 It requires a working KDE2 environment and SWORD 1.5.3 or later. 
 BibleTime provides easy handling of digitized texts (Bibles, commentaries 
 and lexicons) and powerful features to work with these texts (search in 
 texts, write own notes, save, print etc.).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=1

ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),alpha)
	COMPILER_FLAGS=CFLAGS="-O0 -mieee" CXXFLAGS="-O0 -mieee"
endif

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

configure: configure-stamp
configure-stamp:
	dh_testdir
	#automake
	#perl am_edit
	$(COMPILER_FLAGS) ./configure $(configkde) --disable-maintainer-mode
	cd bibletime-doc && ./configure $(configkde) --disable-maintainer-mode
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(COMPILER_FLAGS) $(MAKE)
	cd bibletime-doc && $(MAKE)

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	#perl am_edit
	rm -f build-stamp configure-stamp
	-rm -f debian/debiandirs

	# Add here commands to clean up after the build process.
	#-$(MAKE) distclean
	-$(MAKE) clean
	-cd bibletime-doc && $(MAKE) clean

	#-rm -f `find . -name Makefile.in`
	-rm -f `find . -name Makefile`
	-rm -f `find . -name *.moc.cpp`
	-rm -f `find . -name *_meta_unload.cpp`
	-rm subdirs configure.files config.cache config.log config.status
	-cd bibletime-doc && rm subdirs configure.files config.cache config.log config.status

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp kde_htmldir=`pwd`/debian/tmp/usr/share/doc/kde/HTML
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	cd bibletime-doc && $(MAKE) install DESTDIR=`pwd`/../debian/tmp

	# Install the pixmap for the debian menu item.
	install -p -d -o root -g root -m 755 \
		`pwd`/debian/tmp/usr/share/pixmaps
	install -p -o root -g root -m 644 debian/bibletime.xpm \
		`pwd`/debian/tmp/usr/share/pixmaps

	# Install the lintian overrides file.
	install -p -d -o root -g root -m 755 \
		`pwd`/debian/tmp/usr/share/lintian/overrides
	install -p -o root -g root -m 644 debian/override \
		`pwd`/debian/tmp/usr/share/lintian/overrides/bibletime

	#temporary fix to stop things from being executable that shouldn't be?
	chmod 644 debian/tmp/usr/share/apps/bibletime/pics/*
	chmod 644 debian/tmp/usr/share/apps/bibletime/printing/*
	chmod 644 debian/tmp/usr/share/apps/bibletime/bibletimeui.rc

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_installinfo
	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress -Xtipdatabase
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## bibletime 2.5

=== CMakeLists.txt ===
PROJECT(bibletime CXX C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)

SET(BT_WC_REVISION "0")
IF (EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    # Probably a SVN workspace, determine revision level
    FIND_PACKAGE(Subversion)
    IF (Subversion_FOUND)
        Subversion_WC_INFO(${PROJECT_SOURCE_DIR} BT)
        MESSAGE(STATUS "Current revision is ${BT_WC_REVISION}")
    ENDIF (Subversion_FOUND)
ENDIF (EXISTS ${PROJECT_SOURCE_DIR}/.svn)

#Version
SET(BT_VERSION_MAJOR "2")
SET(BT_VERSION_MINOR "5")
#SET(BT_REVISION_PATCH "+svnr${BT_WC_REVISION}")
SET(BT_REVISION_PATCH "")
ADD_DEFINITIONS(-DBT_SVN_REVISION="${SVN_REVISION}")
ADD_DEFINITIONS(-DBT_VERSION="${BT_VERSION_MAJOR}.${BT_VERSION_MINOR}${BT_REVISION_PATCH}")

MESSAGE(STATUS "Setting up build environment for BibleTime version ${BT_VERSION_MAJOR}.${BT_VERSION_MINOR}${BT_REVISION_PATCH}")

#Non-English locales to be processed and installed for UI, handbook and howto
LIST(APPEND MESSAGE_LOCALE_LANGS cs da de en_GB es et fi fr hu it nl nn_NO pl pt_BR ro ru sk)
#WARNING: If you modify HANDBOOK_LOCALE_LANGS or HOWTO_LOCALE_LANGS,
#also modify the po4a conf files in cmake/docs/ to make sure all languages are processed.
LIST(APPEND HANDBOOK_LOCALE_LANGS cs de fi fr hu it nl pt_BR)
LIST(APPEND HOWTO_LOCALE_LANGS bg cs da de es fi fr it hu ko nl pt_BR ru)

# Find required packages
SET(QT_MIN_VERSION 4.4.0)
SET(QT_USE_QTXML 1)
SET(QT_USE_QTWEBKIT 1)
SET(QT_USE_QTMAIN 1)
FIND_PACKAGE(Qt4 REQUIRED)
IF (QT_QTDBUS_FOUND AND NOT APPLE)
    SET(QT_USE_QTDBUS 1)
    MESSAGE(STATUS "Using DBUS")
ELSE (QT_QTDBUS_FOUND AND NOT APPLE)
    ADD_DEFINITIONS(-DNO_DBUS)
    MESSAGE(STATUS "No DBUS found")
ENDIF (QT_QTDBUS_FOUND AND NOT APPLE)
# If cmake says that qdbusxml2cpp is missing, uncomment the following line
#SET(QT_DBUSXML2CPP_EXECUTABLE "/usr/bin/qdbusxml2cpp") #TEMP HACK?

FIND_PACKAGE(Boost REQUIRED)
#
#custom includes
#
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
FIND_PACKAGE(CLucene REQUIRED)

# optional: Try to detect CURL, ICU and ZLib and add it to the linker flags if found, maybe Sword needs it
FIND_PACKAGE(CURL)
FIND_PACKAGE(ICU)
FIND_PACKAGE(ZLIB)

FIND_PACKAGE(Sword REQUIRED)


# Define $bibletime_SOURCES
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTSourceFileList.cmake")

# Define rules to generate ${bibletime_UI_translations} files
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTUITranslation.cmake")

#
# The actual build options
#
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_BINARY_DIR}		#for .h files generated from .ui
    ${CMAKE_CURRENT_SOURCE_DIR}/src	# so that include paths like "frontend/..." work
    ${CLUCENE_INCLUDE_DIR}			#CLucene headers
    ${CLUCENE_LIBRARY_DIR}			#CLucene/clucene-config.h
    ${Boost_INCLUDE_DIRS}
    ${SWORD_INCLUDE_DIR}
)

# this will run uic on .ui files:
QT4_WRAP_UI(bibletime_UIS_H ${bibletime_UIS})

# this will run moc on source files
QT4_WRAP_CPP(bibletime_MOC_SOURCES ${bibletime_MOCABLE_HEADERS})

SOURCE_GROUP( "Generated Files"
    FILES ${bibletime_UIS} ${bibletime_MOC_SOURCES}
)

#This must come before the target definition!
LINK_DIRECTORIES(
    ${CLUCENE_LIBRARY_DIR}
    ${SWORD_LIBRARY_DIR}
)

SET(EXECUTABLE_NAME "bibletime")
IF (APPLE)
    SET(EXECUTABLE_NAME "BibleTime")
ENDIF (APPLE)

SET(common_bibletime_SOURCES
    ${bibletime_SOURCES}
    ${bibletime_UIS_H}
    ${bibletime_MOC_SOURCES}
    ${bibletime_RC}
    ${bibletime_UI_translations}
)

# include test files in debug mode
IF (NOT CMAKE_BUILD_TYPE STREQUAL "Release")
	# this will run moc on test source files
	QT4_WRAP_CPP(bibletime_test_MOC_SOURCES ${bibletime_test_MOCABLE_HEADERS})

	SET(common_bibletime_SOURCES
        ${common_bibletime_SOURCES}
        ${bibletime_test_SOURCES}
        ${bibletime_test_MOC_SOURCES}
    )
ENDIF (NOT CMAKE_BUILD_TYPE STREQUAL "Release")

# For the Windows Application Icon
IF (MSVC)
	SET(common_bibletime_SOURCES
	    ${common_bibletime_SOURCES}
	    "cmake/BTWinIcon.rc"
	)
ENDIF (MSVC)

#Link to QtTest only in debug builds
IF (CMAKE_BUILD_TYPE STREQUAL "Release")
    IF (MSVC)
        ADD_EXECUTABLE(${EXECUTABLE_NAME} WIN32 ${common_bibletime_SOURCES})
    ELSE (MSVC)
        ADD_EXECUTABLE(${EXECUTABLE_NAME} ${common_bibletime_SOURCES})
    ENDIF (MSVC)
#	SET_TARGET_PROPERTIES(${EXECUTABLE_NAME}
#		PROPERTIES
#			COMPILE_FLAGS "${SWORD_CFLAGS}" #Enable exception handling
#	)
    INCLUDE(${QT_USE_FILE})
    TARGET_LINK_LIBRARIES(${EXECUTABLE_NAME}
        ${QT_LIBRARIES}
        ${CLUCENE_LIBRARY}
        ${CURL_LIBRARIES} # optional, empty if not found
        ${ICU_LIBRARIES} # optional, empty if not found
        ${ICU_I18N_LIBRARIES} # optional, empty if not found
        ${ZLIB_LIBRARIES} # optional, empty if not found
        ${SWORD_LIBRARY}
    )
ELSE (CMAKE_BUILD_TYPE STREQUAL "Release")
    SET(CMAKE_BUILD_TYPE "Debug")
    IF (MSVC)
        ADD_EXECUTABLE(${EXECUTABLE_NAME} WIN32 ${common_bibletime_SOURCES})
    ELSE (MSVC)
        ADD_EXECUTABLE(${EXECUTABLE_NAME} ${common_bibletime_SOURCES})
    ENDIF (MSVC)
    SET_TARGET_PROPERTIES(${EXECUTABLE_NAME}
        PROPERTIES
            COMPILE_FLAGS "-DBT_ENABLE_TESTING" #Enable exception handling and Testing
    )
    SET(QT_USE_QTTEST 1)
    INCLUDE(${QT_USE_FILE})
    TARGET_LINK_LIBRARIES(${EXECUTABLE_NAME}
        ${QT_LIBRARIES}
        ${CLUCENE_LIBRARY}
        ${CURL_LIBRARIES} # optional, empty if not found
        ${ICU_LIBRARIES} # optional, empty if not found
        ${ICU_I18N_LIBRARIES} # optional, empty if not found
        ${SWORD_LIBRARY}
    )
    # Unit Tests
    ADD_CUSTOM_TARGET(test
        COMMAND ./${EXECUTABLE_NAME} --run-tests
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
        COMMENT "Running BibleTime Unit Tests"
    )
ENDIF (CMAKE_BUILD_TYPE STREQUAL "Release")

IF (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "install/") #install to ./build/install, allow override
ENDIF (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

IF (MSVC)
    SET(CMAKE_CXX_FLAGS_RELEASE "-DNO_DBUS -DSWUSINGDLL -DBT_VERSION=\\\"${BT_VERSION}\\\" /MD  /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE ")
    SET(CMAKE_CXX_FLAGS_DEBUG   "-DNO_DBUS -DSWUSINGDLL -DBT_VERSION=\\\"${BT_VERSION}\\\" /MDd /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE -DBT_ENABLE_TESTING /ZI")
ELSE (MSVC)
    SET(CMAKE_CXX_FLAGS_RELEASE "-Wall -O2 -fexceptions")
    SET(CMAKE_CXX_FLAGS_DEBUG   "-Wall -Werror -O0 -g -fexceptions -DBT_ENABLE_TESTING")
ENDIF (MSVC)


# Install files
#
SET(BT_DESTINATION "bin/")
SET(BT_SHARE_PATH "")

INSTALL(TARGETS "${EXECUTABLE_NAME}"
    DESTINATION "${BT_DESTINATION}"
)

# icons
FILE(GLOB INSTALL_ICONS_LIST "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/*.svg")
INSTALL(FILES ${INSTALL_ICONS_LIST}
    DESTINATION "${BT_SHARE_PATH}share/bibletime/icons/"
)
# icons - png, needed for About Dialog
FILE(GLOB INSTALL_ICONS_LIST_PNG "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.png")
INSTALL(FILES ${INSTALL_ICONS_LIST_PNG}
    DESTINATION "${BT_SHARE_PATH}share/bibletime/icons/"
)
# display templates
FILE(GLOB INSTALL_DISPLAY_TEMPLATES_LIST ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/*.tmpl)
INSTALL(FILES ${INSTALL_DISPLAY_TEMPLATES_LIST}
    DESTINATION "${BT_SHARE_PATH}share/bibletime/display-templates/"
)
# javascript
INSTALL(FILES "src/frontend/display/bthtml.js"
    DESTINATION "${BT_SHARE_PATH}share/bibletime/javascript/"
)
# license.html
INSTALL(FILES "docs/license.html"
    DESTINATION "${BT_SHARE_PATH}share/bibletime/license/"
)
# splash screen
INSTALL(FILES "pics/startuplogo.png" "pics/startuplogo_christmas.png"
    DESTINATION "${BT_SHARE_PATH}share/bibletime/pics/"
)
#
# Platform specific installation
#
# LINUX: application icon
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.svg"
    DESTINATION "${BT_SHARE_PATH}share/icons/"
)
# LINUX: desktop file
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/linux/bibletime.desktop.cmake" "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop")
INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop"
    DESTINATION "${BT_SHARE_PATH}share/applications/"
)
IF (MSVC)
    # sword locale information
    FILE(GLOB INSTALL_SWORD_LOCALE_LIST ${SWORD_INCLUDE_DIR}/../locales.d/*)
    INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
        DESTINATION "${BT_SHARE_PATH}share/sword/locales.d/"
    )

    # install pdb file for debugging purposes
    IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
        SET( bibletime_PDB ${bibletime_BINARY_DIR}/Debug/bibletime.pdb)
        INSTALL (FILES "${bibletime_PDB}"
            DESTINATION "${BT_DESTINATION}"
        )
    ENDIF (CMAKE_BUILD_TYPE STREQUAL "Debug")
ENDIF (MSVC)


INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDocumentation.cmake")
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDeveloper.cmake")
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTCpack.cmake")


######################################################
# "make uninstall" target; see http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
#
CONFIGURE_FILE(
"${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
IMMEDIATE @ONLY
)
ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
######################################################

## bibletime 2.8.1

=== CMakeLists.txt ===
PROJECT(bibletime CXX C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# BibleTime version
SET(BT_VERSION_MAJOR "2")
SET(BT_VERSION_MINOR "8")
SET(BT_VERSION_PATCH "1")
SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures

# Determine build, if needed:
IF (NOT (DEFINED BT_VERSION_BUILD))
    SET(Git_FIND_QUIETLY TRUE)
    FIND_PACKAGE(Git)
    IF (Git_FOUND)
        Git_WC_INFO(${PROJECT_SOURCE_DIR} BT)
        IF (DEFINED BT_WC_REVISION_HASH_SHORT)
            SET(BT_VERSION_BUILD "+${BT_WC_REVISION_HASH_SHORT}")
        ENDIF (DEFINED BT_WC_REVISION_HASH_SHORT)
    ENDIF (Git_FOUND)
ENDIF (NOT (DEFINED BT_VERSION_BUILD))

SET(BT_VERSION_FULL "${BT_VERSION_MAJOR}.${BT_VERSION_MINOR}.${BT_VERSION_PATCH}${BT_VERSION_BUILD}")
MESSAGE(STATUS "Setting up build environment for BibleTime version ${BT_VERSION_FULL}")

ADD_DEFINITIONS(-DBT_VERSION="${BT_VERSION_FULL}")

# Define debug flags
IF (NOT CMAKE_BUILD_TYPE STREQUAL "Release")
    SET(CMAKE_BUILD_TYPE "Debug")
    ADD_DEFINITIONS(-DBT_DEBUG)
ELSE (NOT CMAKE_BUILD_TYPE STREQUAL "Release")
    ADD_DEFINITIONS(-DBT_NO_DEBUG -DNDEBUG -DQT_NO_DEBUG)
ENDIF (NOT CMAKE_BUILD_TYPE STREQUAL "Release")

#Non-English locales to be processed and installed for UI, handbook and howto
LIST(APPEND MESSAGE_LOCALE_LANGS ar cs da de en_GB es et fi fr hu it nl nn_NO pl pt_BR ro ru sk zh_TW)
#WARNING: If you modify HANDBOOK_LOCALE_LANGS or HOWTO_LOCALE_LANGS,
#also modify the po4a conf files in cmake/docs/ to make sure all languages are processed.
LIST(APPEND HANDBOOK_LOCALE_LANGS cs de es fi fr hu it nl pt_BR)
LIST(APPEND HOWTO_LOCALE_LANGS ar bg cs da de es fi fr it hu ko nl pt_BR ru)

# Find required packages
SET(QT_MIN_VERSION 4.5.0)
SET(QT_USE_QTXML 1)
SET(QT_USE_QTWEBKIT 1)
SET(QT_USE_QTMAIN 1)
FIND_PACKAGE(Qt4 REQUIRED)
IF (QT_QTDBUS_FOUND AND NOT APPLE)
    SET(QT_USE_QTDBUS 1)
    MESSAGE(STATUS "Using DBUS")
ELSE (QT_QTDBUS_FOUND AND NOT APPLE)
    ADD_DEFINITIONS(-DNO_DBUS)
    MESSAGE(STATUS "No DBUS found")
ENDIF (QT_QTDBUS_FOUND AND NOT APPLE)
# If cmake says that qdbusxml2cpp is missing, uncomment the following line
#SET(QT_DBUSXML2CPP_EXECUTABLE "/usr/bin/qdbusxml2cpp") #TEMP HACK?

#
#custom includes
#
FIND_PACKAGE(CLucene REQUIRED)

# optional: Try to detect CURL, ICU and ZLib and add it to the linker flags if found, maybe Sword needs it
FIND_PACKAGE(CURL)
FIND_PACKAGE(ICU)
FIND_PACKAGE(ZLIB)

FIND_PACKAGE(Sword REQUIRED)

# directory layout settings up front, needed in various places
SET(BT_DESTINATION "bin/")
SET(BT_SHARE_PATH "share/")
IF (APPLE)
    SET(BT_DESTINATION "../MacOS/")
    SET(BT_SHARE_PATH "../share/")
ENDIF (APPLE)

# Define $bibletime_SOURCES
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTSourceFileList.cmake")

#
# The actual build options
#
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_BINARY_DIR}        #for .h files generated from .ui
    ${CMAKE_CURRENT_SOURCE_DIR}/src    # so that include paths like "frontend/..." work
    ${CLUCENE_INCLUDE_DIR}            #CLucene headers
    ${CLUCENE_LIBRARY_DIR}            #CLucene/clucene-config.h
    ${SWORD_INCLUDE_DIR}
)

# this will run uic on .ui files:
QT4_WRAP_UI(bibletime_UIS_H ${bibletime_UIS})

# this will run moc on source files
QT4_WRAP_CPP(bibletime_MOC_SOURCES ${bibletime_MOCABLE_HEADERS})

SOURCE_GROUP("QM Files" REGULAR_EXPRESSION ".*\\.qm")

#This must come before the target definition!
LINK_DIRECTORIES(
    ${CLUCENE_LIBRARY_DIR}
    ${SWORD_LIBRARY_DIR}
)

SET(EXECUTABLE_NAME "bibletime")
IF (APPLE)
    SET(EXECUTABLE_NAME "BibleTime")
ENDIF (APPLE)


# Define rules to generate ${bibletime_UI_translations} files
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTUITranslation.cmake")

SET(common_bibletime_SOURCES
    ${bibletime_SOURCES}
    ${bibletime_UIS_H}
    ${bibletime_MOC_SOURCES}
    ${bibletime_RC}
    ${bibletime_UI_translations}
)

# For the Windows Application Icon
IF (MSVC)
    SET(common_bibletime_SOURCES
        ${common_bibletime_SOURCES}
        "cmake/BTWinIcon.rc"
    )

    SOURCE_GROUP( "Icon Files"
        FILES "cmake/BTWinIcon.rc" }
    )
ENDIF (MSVC)

IF (CMAKE_BUILD_TYPE STREQUAL "Release")
    IF (MSVC)
        ADD_EXECUTABLE(${EXECUTABLE_NAME} WIN32 ${common_bibletime_SOURCES})
    ELSE (MSVC)
        ADD_EXECUTABLE(${EXECUTABLE_NAME} ${common_bibletime_SOURCES})
    ENDIF (MSVC)
#    SET_TARGET_PROPERTIES(${EXECUTABLE_NAME}
#        PROPERTIES
#            COMPILE_FLAGS "${SWORD_CFLAGS}" #Enable exception handling
#    )
    INCLUDE(${QT_USE_FILE})
    TARGET_LINK_LIBRARIES(${EXECUTABLE_NAME}
        ${QT_LIBRARIES}
        ${CLUCENE_LIBRARY}
        ${CURL_LIBRARIES} # optional, empty if not found
        ${ICU_LIBRARIES} # optional, empty if not found
        ${ICU_I18N_LIBRARIES} # optional, empty if not found
        ${ZLIB_LIBRARIES} # optional, empty if not found
        ${SWORD_LIBRARY}
    )
ELSE (CMAKE_BUILD_TYPE STREQUAL "Release")
    IF (MSVC)
        ADD_EXECUTABLE(${EXECUTABLE_NAME} WIN32 ${common_bibletime_SOURCES})
    ELSE (MSVC)
        ADD_EXECUTABLE(${EXECUTABLE_NAME} ${common_bibletime_SOURCES})
    ENDIF (MSVC)
    INCLUDE(${QT_USE_FILE})
    TARGET_LINK_LIBRARIES(${EXECUTABLE_NAME}
        ${QT_LIBRARIES}
        ${CLUCENE_LIBRARY}
        ${CURL_LIBRARIES} # optional, empty if not found
        ${ICU_LIBRARIES} # optional, empty if not found
        ${ICU_I18N_LIBRARIES} # optional, empty if not found
        ${ZLIB_LIBRARIES} # optional, empty if not found
        ${SWORD_LIBRARY}
    )
ENDIF (CMAKE_BUILD_TYPE STREQUAL "Release")

IF (APPLE)
     # enable support MacOS 10.5+
    SET_TARGET_PROPERTIES(${EXECUTABLE_NAME}
        PROPERTIES
            COMPILE_FLAGS   "-mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk"
            LINK_FLAGS      "-mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk"
    )
ENDIF (APPLE)


IF (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "install/") #install to ./build/install, allow override
ENDIF (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

IF (APPLE)
    SET(CMAKE_INSTALL_PREFIX "install/BibleTime.app/Contents/Resources")
ENDIF (APPLE)

IF (MSVC)
    SET(CMAKE_CXX_FLAGS_RELEASE "-DNO_DBUS -DSWUSINGDLL /MD  /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE ")
    SET(CMAKE_CXX_FLAGS_DEBUG   "-DNO_DBUS -DSWUSINGDLL /MDd /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE /ZI")
ELSE (MSVC)
    SET(CMAKE_CXX_FLAGS_RELEASE "-Wall -O2 -fexceptions")
    SET(CMAKE_CXX_FLAGS_DEBUG   "-Wall -Werror -O2 -ggdb -fexceptions")
ENDIF (MSVC)


# Install files
#

INSTALL(TARGETS "${EXECUTABLE_NAME}"
    DESTINATION "${BT_DESTINATION}"
)

# icons
FILE(GLOB INSTALL_ICONS_LIST "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/*.svg")
INSTALL(FILES ${INSTALL_ICONS_LIST}
    DESTINATION "${BT_SHARE_PATH}bibletime/icons/"
)
# icons - png, needed for About Dialog
FILE(GLOB INSTALL_ICONS_LIST_PNG "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.png")
INSTALL(FILES ${INSTALL_ICONS_LIST_PNG}
    DESTINATION "${BT_SHARE_PATH}bibletime/icons/"
)
# display templates
FILE(GLOB INSTALL_DISPLAY_TEMPLATES_LIST ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/*.tmpl)
INSTALL(FILES ${INSTALL_DISPLAY_TEMPLATES_LIST}
    DESTINATION "${BT_SHARE_PATH}bibletime/display-templates/"
)
# javascript
INSTALL(FILES "src/frontend/display/bthtml.js"
    DESTINATION "${BT_SHARE_PATH}bibletime/javascript/"
)
# license.html
INSTALL(FILES "docs/license.html"
    DESTINATION "${BT_SHARE_PATH}bibletime/license/"
)
# splash screen
INSTALL(FILES "pics/startuplogo.png" "pics/startuplogo_christmas.png"
    DESTINATION "${BT_SHARE_PATH}bibletime/pics/"
)
#
# Platform specific installation
#
# LINUX: application icon
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.svg"
    DESTINATION "${BT_SHARE_PATH}icons/"
)
# LINUX: desktop file
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/linux/bibletime.desktop.cmake" "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop")
INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop"
    DESTINATION "${BT_SHARE_PATH}applications/"
)
IF (MSVC)
    # sword locale information
    FILE(GLOB INSTALL_SWORD_LOCALE_LIST ${SWORD_INCLUDE_DIR}/../locales.d/*)
    INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
        DESTINATION "${BT_SHARE_PATH}sword/locales.d/"
    )

    # install pdb file for debugging purposes
    IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
        SET( bibletime_PDB ${bibletime_BINARY_DIR}/Debug/bibletime.pdb)
        INSTALL (FILES "${bibletime_PDB}"
            DESTINATION "${BT_DESTINATION}"
        )
    ENDIF (CMAKE_BUILD_TYPE STREQUAL "Debug")
ENDIF (MSVC)

IF (APPLE)
    # sword locale information, needed for DMG image
    FILE(GLOB INSTALL_SWORD_LOCALE_LIST ${SWORD_INCLUDE_DIR}/../../share/sword/locales.d/*)
    INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
        DESTINATION "${BT_SHARE_PATH}sword/locales.d/"
    )
ENDIF (APPLE)


INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDocumentation.cmake")
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDeveloper.cmake")

IF (WIN32 AND NOT UNIX)
    INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageWindows.cmake")
ENDIF (WIN32 AND NOT UNIX)
IF (APPLE)
    INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageMacOS.cmake")
ENDIF (APPLE)

######################################################
# "make uninstall" target; see http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
#
CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)
ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
######################################################

=== debian/changelog ===
bibletime (2.8.1-2build1) precise; urgency=low

  * Rebuild with libsword9 due to ABI breakage (LP: #935574)
    - Temporarily bump libsword-dev build-dep version to prevent archive skew

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Apr 2012 11:54:23 -0400

bibletime (2.8.1-2) unstable; urgency=low

  * debian/patches/02-prevent-unused-but-set-variable-ftbfs.patch:
    - Prevent FTBFS using recent gcc 4.6 by using an existing upstream fix.
  * debian/control:
    - Add Depends: libqt4-svg so toolbar icons display. (Closes: #612661).

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 10 Jul 2011 18:06:23 -0700

bibletime (2.8.1-1) unstable; urgency=low

  [ Jonathan Marsden ]
  * New upstream version 2.8.1 (Closes: #629607).
  * debian/control:
    - Remove article from start of Description: synopsis line.
    - Replace Build-Depends: libqt4-dev with libqtwebkit-dev | libqt4-dev.
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * debian/control: Fix version comparison > to >= for libsword
  * debian/watch: Look for .bz2 as well as .gz compressed tarballs.
  * debian/patches/01-fix-search-works-print-crash.patch:
    - An upstream git commit to fix a crash when printing.
    - Also fixes a gcc-4.6 FTBFS.

  [ Dmitrijs Ledkovs ]
  * Daily-build / build from recipes:
    - Generate debian/source/format on the fly
    - Add .bzr-builddeb/default.conf to run above
    - Add debian/source/local-options to keep bzr tree clean
  * Convert to dh7
    - This unifies packaging with sword and xiphos
    - This allows building from recipes since cdbs simple-patchsys was
    interfering
    - Move dh_install[man] options from debian/rules to package files.

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 19 Jun 2011 22:40:22 -0700

bibletime (2.5-1) unstable; urgency=low

  * New upstream version 2.5 (Closes: #564551).

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 10 Jan 2010 22:21:36 -0800

bibletime (2.4-1) unstable; urgency=low

  * New upstream version 2.4
  * debian/control: 
    - Replace incorrect bibletime-data Depends on lib4qt-gui
      with bibletime Depends on libqtgui4 (>= 4.4.0). (Closes: #556209).
    - Add Build-depends: on zlib1g-dev and libcurl4-gnutls-dev 
      (Closes: #556805).
  
 -- Jonathan Marsden <jmarsden@fastmail.fm>  Wed, 18 Nov 2009 17:30:00 -0800

bibletime (2.3.3-1) unstable; urgency=low

  * New upstream version 2.3.3
  * debian/control: 
    - Change Description: to avoid mentioning KDE (Closes: #539166).
    - Add libqt4-gui to Depends: to avoid toolbar icon display issues.

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 01 Nov 2009 15:49:17 -0800

bibletime (2.3-1) unstable; urgency=low

  * New upstream version 2.3
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Thu, 08 Oct 2009 22:55:24 -0700

bibletime (2.2-1) unstable; urgency=low

  * New upstream version 2.2

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Wed, 26 Aug 2009 21:58:15 -0700

bibletime (2.1-1~karmic1) karmic; urgency=low

  * New upstream version 2.1.

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 12 Jul 2009 18:21:11 -0700

bibletime (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * debian/patches/: 
    - 01_main_window_icon.diff removed (now in upstream sources).
    - 02_remove_unwanted_debug_code.diff removed (now in upstream sources).
  * debian/control: Correctly update systems with old bibletime-i18n:
    - Remove Suggests: bibletime-i18n from bibletime package.
    - Add Conflicts: and Replaces: bibletime-i18n to bibletime-data package.
    - Bump Standards-Version to 3.8.2 (no changes needed).
  * debian/watch: Change regex to ignore alpha/beta/rc source tarballs.

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Sun, 07 Jun 2009 16:24:33 -0700

bibletime (2.0-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    - Ensure installation of manpages and .xpm work once again.
  * Remove debian/dirs, debian/install and other files from debian/
  * Remove debian/patches/00-fix-desktop.patch -- upstream fixed this.
  * Add debian/patches/01_main_window_icon.diff
    - upstream svn r1317.
  * Add debian/patches/02_remove_unwanted_debug_code.diff
    - upstream svn r1318.
  * Add debian/watch file.
  * debian/rules: use cdbs cmake.mk not kde4.mk
  * debian/control: Remove Build-depend on pkg-kde-tools.
    - Replace kdelibs5-dev build dependency with libqt4-dev.
    - Add build dependency on cmake and pkg-config.
    - Set Maintainer and Uploaders fields.
    - Qualify libsword-dev Build-Depends with (>= 1.5.11).
    - Bump Standards-Version to 3.8.1 (no changes needed).
  * Separate out /usr/share/bibletime into its own package:
    - debian/bibletime-data.install: create file.
    - debian/bibletime.install: create file.
    - debian/compat: Increase to 7 so dh_install looks in debian/tmp.
    - debian/control: 
      + Add info about new binary package bibletime-data.
      + Build-Depend: on debhelper >= 7 and wrap Build-Depends line.
  * debian/copyright:
    - Update copyright year range.
    - Update download location.

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Tue, 02 Jun 2009 23:37:30 -0700

bibletime (1.6.5.1-1) unstable; urgency=low

  * New upstream version (Closes: #441161, #271502)
  * fixes for new autotools and gcc 4.3 (Closes: #407291)
  * added poxml to Build-Depends
  * No DFSG necessary anymore since biblestudy howto has 
    now Commons Licence 
  * Added libclucene-dev to dev-depends (Closes: #436677)

 -- Ralph Janke <txwikinger@ubuntu.com>  Sat, 10 May 2008 15:18:16 +0100

bibletime (1.6.4.dfsg-1) unstable; urgency=low

  * New upstream version

 -- Daniel Glassey <wdg@debian.org>  Fri, 22 Jun 2007 18:47:48 +0100

bibletime (1.6.2.dfsg-1) unstable; urgency=low

  * New upstream release using sword 1.5.9, Closes: #401068
  * upstream now allows build without howto (which has been declared
      non-DFSG free), Closes: #331547


=== debian/control ===
Source: bibletime
Section: kde
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~),
 libsword-dev (>= 1.6.2+dfsg-3), libclucene-dev, poxml, libboost-dev, cmake,
 pkg-config, zlib1g-dev, libcurl4-gnutls-dev, libqtwebkit-dev | libqt4-dev
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>, 
 Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, 
 Jonathan Marsden <jmarsden@fastmail.fm>
Standards-Version: 3.9.2
Homepage: http://www.bibletime.info/

Package: bibletime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqtgui4 (>= 4.4.0),
 libqt4-svg (>=4.4.0),
 bibletime-data
Provides: sword-frontend
Description: bible study tool for Qt
 BibleTime is a free and easy to use bible study tool.
 It uses the Qt and SWORD software libraries.
 BibleTime provides easy handling of digitized texts (Bibles, commentaries
 and lexicons) and powerful features to work with these texts (search in
 texts, write own notes, save, print etc.) in the SWORD module format.

Package: bibletime-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bibletime
Conflicts: bibletime-i18n
Replaces: bibletime-i18n
Description: Documentation and data for bibletime, a bible study tool
 BibleTime is a free and easy to use bible study tool.
 .
 This package contains the help, online documentation and data files
 which BibleTime uses.
